Subject: bug#32549: Allow passing custom options to vc-git-grep

From: Federico Tedin <[email-masked]>
Date: Mon, 27 Aug 2018 23:55:36 -0300

> Does C-u help?  From the docstring:
>
>     With C-u prefix, you can edit the constructed shell command line
>     before it is executed.
>     With two C-u prefixes, directly edit and run ‘grep-command’.

You're right! With C-u, I am eventually prompted for the full git-grep
arguments, This is useful
when manually invoking the command, but now I'm wondering how I would
set my custom arguments
when the vc-git-grep function is called from another function. For
example, the projectile package
defines projectile-grep, which eventually calls rgrep or vc-git-grep
[1] (depending on the user's choice).

[1] https://github.com/bbatsov/projectile/blob/master/projectile.el#L2757